%define lib_major 7
%define libname %mklibname gnomespeech %{lib_major}
%define libnamedev %mklibname -d gnomespeech
%define last_abi_break_version 0.3.2


Summary: Simple general API for producing text-to-speech output
Name: gnome-speech
Version: 0.4.25
Release: %mkrel 1
License: LGPLv2+
Group: Accessibility
URL: http://developer.gnome.org/projects/gap/
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{name}-%{version}.tar.bz2
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires: libbonobo-activation-devel
BuildRequires: libespeak-devel
BuildRequires: autoconf2.5
BuildRequires: gnome-common
BuildRequires: java-devel java-rpmbuild
Provides: gnome_speech = %{version}-%{release}
Requires: %name-driver = %version
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes:	%name < %version

%description
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{libname}
Summary:	 Simple general API for producing text-to-speech output
Group:		System/Libraries

Provides:	lib%{name} = %{version}-%{release}
Requires:   %{name} >= %{version}-%{release}


%description -n %{libname}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package -n %{libnamedev}
Summary:	Static libraries, include files for gnome_speech
Group:		Development/GNOME and GTK+
Provides:	%{name}-devel = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	libgnomespeech-devel = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:   libbonobo2_x-devel
Conflicts:  lib%{name}-devel < %{last_abi_break_version}
Obsoletes: %mklibname -d gnomespeech 7

%description -n %{libnamedev}
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

%package driver-festival
Summary: Backend for gnome-speech based on festival
Group: System/Libraries
Provides: %name-driver = %version
Requires: festival

%description driver-festival
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on festival.

%package driver-espeak
Summary: Backend for gnome-speech based on espeak
Group: System/Libraries
Provides: %name-driver = %version
Requires: soundwrapper

%description driver-espeak
This is GNOME Speech.  It's purpose is to provide a
simple general API for producing text-to-speech output.

This is a backend for %name based on espeak.

%prep
%setup -q

%build

%configure2_5x --with-jab-dir=%_datadir/java --with-java-home=%java_home

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# replace espeak driver with wrapper which calls soundwrapper if needed
mv $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver.bin 

cat << EOF >  $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver 
#!/bin/sh
/usr/bin/soundwrapper /usr/bin/espeak-synthesis-driver.bin \$ at 
EOF
chmod 755 $RPM_BUILD_ROOT%{_bindir}/espeak-synthesis-driver 

rm -f $RPM_BUILD_ROOT%{_libdir}/orbit-2.0/*.la

mv %buildroot%_datadir/jar %buildroot%_datadir/java

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname}
/sbin/ldconfig
  
%postun -n %{libname}
/sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc README ChangeLog AUTHORS
%{_bindir}/test-speech
%{_datadir}/idl/*
%{_libdir}/orbit-2.0/*.so
%_datadir/java/gnome-speech.jar

%files driver-festival
%defattr(-,root,root,-)
%_bindir/festival-synthesis-driver
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Festival.server

%files driver-espeak
%defattr(-,root,root,-)
%_bindir/espeak-synthesis-driver*
%_libdir/bonobo/servers/GNOME_Speech_SynthesisDriver_Espeak.server

%files -n %{libname}
%defattr(-,root,root,-)
%{_libdir}/*.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root,-)
%{_includedir}/*
%{_libdir}/*.so
%attr(644,root,root) %{_libdir}/*.la
%{_libdir}/pkgconfig/*


%changelog
* Tue Oct 13 2009 Texstar <texstar at gmail.com> 0.4.25.1-1pclos2010
- update and rebuild

* Fri Oct 24 2008 Neverstopdreaming <neverstopdreaming at gmail.com> 0.4.21-1pclos2007
- New version 0.4.21

* Fri Nov 30 2007 Texstar <texstar at gmail.com> 0.4.16-1pclos2007
- 0.4.16

* Mon Sep 10 2007 Texstar <texstar at gmail.com> 0.4.14-1pclos2007
- 0.4.14

* Mon Oct 30 2006 Texstar <texstar at houston.rr.com> 0.4.5-2pclos2007
- Build for PCLinuxOS 2007 

